function closeWindow() {
  callPy('close');
}

function showOverlay(type, message, buttons) {
  var $message = $('<div>').attr('id', 'overlay-message');
  message.split('\n').forEach(function(p) {
    $message.append($('<p>').html(p));
  });

  if (buttons) {
    var $buttons = $('<p>');
    buttons.forEach(function(button) {
      $buttons.append($('<button>')
        .addClass('button')
        .html(button.html)
        .on('click', button.onClick)
        );
    });
    $message.append($buttons);
  }

  $('#overlay')
    .removeClass()
    .empty()
    .append($message)
    .addClass(type);
}

function hideOverlay() {
  $('#overlay').empty().removeClass().addClass('hidden');
}

function multiCheck($els) {
  $els.each(function() {
    var $el = $(this),
        $list = $el.next('.root');
    function toggleChecked(checked) {
      return function(e) {
        e.preventDefault();
        $list.find('input[type=checkbox]')
          .prop('checked', checked)
          .trigger('change');
      }
    }
    $el.on('click', '.check', toggleChecked(true));
    $el.on('click', '.uncheck', toggleChecked(false));
  });
}
